data:extend(
{
  {   type = "recipe", name = "speed-furnace-mk-1",
    ingredients = {{"steel-plate", 50}, {"electronic-circuit", 10}, {"iron-plate", 24}},
    result = "speed-furnace-mk-1",
    energy_required = 5,
    enabled = false
  },
  {   
    type = "item", 
	name = "speed-furnace-mk-1",
    icon = "__Speed-Furnaces__/graphics/icons/speed-furnace-mk-1.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "z-a",
    place_result = "speed-furnace-mk-1",
    stack_size = 200
  },
  {
    type = "furnace", 
	name = "speed-furnace-mk-1",
    icon = "__Speed-Furnaces__/graphics/icons/speed-furnace-mk-1.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "speed-furnace-mk-1"},
    max_health = 150,
    dying_explosion = "medium-explosion",
    light = {intensity = 1, size = 10},
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 4,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"smelting"},

    result_inventory_size = 2,
    crafting_speed = 42, -- 43 was to high
    energy_usage = "320kW", --320kW * 1 = 320
    source_inventory_size = 1, -- it can't be more than 1 from version 0.13.14
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__Speed-Furnaces__/graphics/entity/speed-furnaces/speed-furnace-mk-1.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875, 0}
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__Speed-Furnaces__/graphics/entity/speed-furnaces/speed-furnace-heater.png",
          priority = "high",
          width = 15,
          height = 10,
          frame_count = 12,
          animation_speed = 0.5,
          shift = {0.015625, 0.890625}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
      },
     },
    fast_replaceable_group = "furnace"
  },

  
  { type = "recipe", name = "speed-furnace-mk-2",
    ingredients = {{"steel-plate", 50}, {"advanced-circuit", 10}, {"speed-furnace-mk-1", 2}},
    result = "speed-furnace-mk-2",
    energy_required = 15,
    enabled = false
  },
  { 
    type = "item", 
	name = "speed-furnace-mk-2",
    icon = "__Speed-Furnaces__/graphics/icons/speed-furnace-mk-2.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "z-b",
    place_result = "speed-furnace-mk-2",
    stack_size = 200
  },
  {
    type = "furnace", 
	name = "speed-furnace-mk-2",
    icon = "__Speed-Furnaces__/graphics/icons/speed-furnace-mk-2.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "speed-furnace-mk-2"},
    max_health = 150,
    dying_explosion = "medium-explosion",
    light = {intensity = 1, size = 10},
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 6,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"smelting"},

    result_inventory_size = 2,
    crafting_speed = 84,
    energy_usage = "640kW", -- 320kW * 2 = 640
    source_inventory_size = 1, -- it can't be more than 1 from version 0.13.14
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__Speed-Furnaces__/graphics/entity/speed-furnaces/speed-furnace-mk-2.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875, 0}
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__Speed-Furnaces__/graphics/entity/speed-furnaces/speed-furnace-heater.png",
          priority = "high",
          width = 15,
          height = 10,
          frame_count = 12,
          animation_speed = 0.5,
          shift = {0.015625, 0.890625}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
      },
      
    },
    fast_replaceable_group = "furnace"
  },
 
 
  { type = "recipe", name = "speed-furnace-mk-3",
    ingredients = {{"steel-plate", 50}, {"processing-unit", 10}, {"speed-furnace-mk-2", 2}},
    result = "speed-furnace-mk-3",
    energy_required = 25,
    enabled = false
  },
  {   
    type = "item", 
	name = "speed-furnace-mk-3",
    icon = "__Speed-Furnaces__/graphics/icons/speed-furnace-mk-3.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "z-c",
    place_result = "speed-furnace-mk-3",
    stack_size = 200
  },
  {
    type = "furnace", 
	name = "speed-furnace-mk-3",
    icon = "__Speed-Furnaces__/graphics/icons/speed-furnace-mk-3.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "speed-furnace-mk-3"},
    max_health = 150,
    dying_explosion = "medium-explosion",
    light = {intensity = 1, size = 10},
    resistances =
    {
      {
        type = "fire",
        percent = 80
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    module_specification =
    {
      module_slots = 8,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"smelting"},

    result_inventory_size = 2,
    crafting_speed = 126,
    energy_usage = "960kW", --320kW * 3 = 960
    source_inventory_size = 1, -- it can't be more than 1 from version 0.13.14
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/electric-furnace.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__Speed-Furnaces__/graphics/entity/speed-furnaces/speed-furnace-mk-3.png",
      priority = "high",
      width = 129,
      height = 100,
      frame_count = 1,
      shift = {0.421875, 0}
    },
    working_visualisations =
    {
      {
        animation =
        {
          filename = "__Speed-Furnaces__/graphics/entity/speed-furnaces/speed-furnace-heater.png",
          priority = "high",
          width = 15,
          height = 10,
          frame_count = 12,
          animation_speed = 0.5,
          shift = {0.015625, 0.890625}
        },
        light = {intensity = 0.4, size = 6, shift = {0.0, 1.0}}
      },
      
    },
    fast_replaceable_group = "furnace"
  },
  {
    type = "technology",
    name = "speed-furnaces",
    icon = "__Speed-Furnaces__/graphics/technology/speed-furnaces-technology.png",
	icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "speed-furnace-mk-1"
      },
	  {
        type = "unlock-recipe",
        recipe = "speed-furnace-mk-2"
      },
	  {
        type = "unlock-recipe",
        recipe = "speed-furnace-mk-3"
      },
	  
     
    },
    prerequisites = {"logistics-2", "advanced-material-processing-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
		{"science-pack-3", 1}
      },
      time = 30
    },
    order = "d-a-c",
  },
}
)

